package pl.kaczanowscy.tomek.testng;

import org.testng.annotations.Test;

/**
 * because of http://jira.codehaus.org/browse/GRADLE-713 (fixed in 0.9) it is
 * not possible to use class-level @Test annotation.
 * 
 */
public class TestB {

	@Test
	public void passedMethod() {
		assert true;
	}

	@Test
	public void passedB_1() {
		assert true;
	}

	@Test
	public void passedB_2() {
		assert true;
	}

	@Test
	public void failedB_1() {
		assert false;
	}

	@Test(dependsOnMethods = { "failedB_1" })
	public void skippedB() {
		// do nothing
	}
}
